eID middleware |

# eIDMW::PTEID_Sod Class Reference

Class for the sod document on a EID Card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Sod:

List of all members.

## Public Member Functions

virtual PTEIDSDK_API | ~PTEID_Sod ()
| Destructor.
PTEIDSDK_API const PTEID_ByteArray & | getData ()
| Return the sod itself.
PTEIDSDK_API const PTEID_ByteArray & | getHash ()
| Return the hash of the sod.

## Friends

PTEID_Sod & | PTEID_EIDCard::getSod ()
| For internal use : This method must access protected constructor.

## Detailed Description

Class for the sod document on a EID Card.

You can get such an object from PTEID_EIDCard::getSod() (or getDocument).

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Sod::~PTEID_Sod | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_Sod::getData | ( |  | ) |

Return the sod itself.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_Sod::getHash | ( |  | ) |

Return the hash of the sod.

## Friends And Related Function Documentation

PTEID_Sod& PTEID_EIDCard::getSod | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h